<?php

declare(strict_types=1);

namespace App\Scolarite\Infrastructure\Api\Provider;

use App\Scolarite\Domain\Model\Evaluation\Evaluation;

final readonly class EvaluationWithNames
{
    public function __construct(
        public Evaluation $evaluation,
        public ?string $className,
        public ?string $subjectName,
    ) {
    }
}
